XResourceManagerString(3)

NAME
XResourceManagerString, XScreenResourceString - obtain server resource properties

SYNTAX

char *XResourceManagerString(Display *display);

char *XScreenResourceString(Screen *screen);

ARGUMENTS

display
    Specifies the connection to the X server.

screen
    Specifies the screen.

DESCRIPTION
The function returns the RESOURCE_MANAGER property from the server's root window of screen zero, which was returned when the connection was opened using The property is converted from type STRING to the current locale. The conversion is identical to that produced by for a single element STRING property. The returned string is owned by Xlib and should not be freed by the client. The property value must be in a format that is acceptable to If no property exists, NULL is returned.

The function returns the SCREEN_RESOURCES property from the root window of the specified screen. The property is converted from type STRING to the current locale. The conversion is identical to that produced by for a single element STRING property. The property value must be in a format that is acceptable to If no property exists, NULL is returned. The caller is responsible for freeing the returned string by using

SEE ALSO
Xlib - C Language X Interface